Summary: Server daemons for IMAP and POP network mail protocols.
Name: imap
%define majorversion 4
Version: 4.7b_virtual
Release: 2mdk
Copyright: BSD
Group: System/Servers
Source: ftp://ftp.cac.washington.edu/mail/imap-4.7b.tar.bz2
Source1: imap.pamd
Patch0: imap-4.7-mandrake.patch.bz2
Patch1: imap-4.7-phall.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot
Requires: pam >= 0.59
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake


%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect mail
for users and allows users to download their mail to their local machine
for reading. The IMAP protocol provides the functionality of POP, but
allows a user to read mail on a remote machine without downloading it to
their local machine.

Install the imap package if you need a server to support the IMAP or the
POP mail access protocols.

%package devel
Summary: Libraries, includes, etc to develop IMAP applications
Group: Development/C
Requires: imap = %{PACKAGE_VERSION}

%description devel
Libraries, include files, etc to develop POP/IMAP applications

%prep

%setup -q -n imap-4.7b
%patch0 -p1 -b .mandrake
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DIGNORE_LOCK_EACCES_ERRORS -DPIC -fpic" phall
cd c-client
sed 's|^ar rc \(.*\);ranlib c-client.a$|gcc -shared -Wl,-soname,libimap.so.4 -o libimap.so.%{version} \1|' < ARCHIVE > ARCHIVE.SH
sh ARCHIVE.SH
mv CFLAGS CFLAGS.old
sed 's| -DPIC -fpic||' < CFLAGS.old > CFLAGS
rm CFLAGS.old
ln -s libimap.so.%{version} libimap.so.4
ln -s libimap.so.%{version} libimap.so
cd ../imapd
rm imapd.o
make imapd.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o imapd imapd.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
cd ../ipopd
rm ipop2d.o
make ipop2d.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o ipop2d ipop2d.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
rm ipop3d.o
make ipop3d.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o ipop3d ipop3d.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
cd ../c-client
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DIGNORE_LOCK_EACCES_ERRORS" lnp
#mv c-client.a libimap.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/pop
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 c-client/libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib
#install -m 644 c-client/libimap.a $RPM_BUILD_ROOT/usr/lib
ln -s libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so.%{majorversion}
ln -s libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so
mkdir -p $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.h $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.a $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.a $RPM_BUILD_ROOT/usr/lib/libc-client.a
install -m 644 ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/usr/include/imap

bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/imap
%config /etc/pam.d/pop
/usr/man/man8/ipopd.8c.bz2
/usr/man/man8/imapd.8c.bz2
/usr/lib/libimap.so*
%attr(0755,root,mail)   /usr/sbin/ipop2d
%attr(0755,root,mail)   /usr/sbin/ipop3d
%attr(0755,root,mail)   /usr/sbin/imapd
%doc README
%doc docs/*

%files devel
%defattr(-,root,root)
/usr/include/imap
/usr/lib/libc-client.a

%changelog
* Sun Apr 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.7b_virtual-2mdk
- fixed group

* Thu Mar 02 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7b_virtual-1mdk
- updated to 4.7b

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-3mdk
- A fix for crashes caused by certain unusual tokens in message headers. 
- updated patch

* Mon Feb 28 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-2mdk
- moved docs in main package instead of devel

* Mon Feb 28 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-1mdk
- upgraded to 4.7a
- added phall virtual patch for Linuxconf

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Wed Dec 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuild for Mandrake 7

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Took mandrake adaptations (except SMP build) from 4.5-6mdk and updated to
  4.7. Now we have imap-devel
- Merged and re-made patch files

* Thu May 20 1999 Brian Bruns <bruns@magenet.com>
- Built on RH 5.2

* Thu May 20 1999 Henri Gomez <gomez@slib.fr>
- added devel package and libimap support

* Fri May 14 1999 Brian Bruns <bruns@magenet.com>
- Update to IMAP 4.6 beta

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- ipop3d service name was changed to "pop" now. Clearly somebody that hasn't
  got a clue about PAM stuff is messing around with the source.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- verson 4.5
- loose the noflock patch

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- added a -vfs patch because sys/statvfs on glibc 2.1 is different from what
  is available on the sun...
- build against glibc 2.1

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.4.
- removed g+s bit to imapd.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.2.
- added g+s bit to imapd so that lock files can be created.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...

* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().
